#!/bin/sh

ACTION=shift

if [ "$ACTION" == "deploy_cert" ]; then
  # New cert
  KEY=shift
  CRT=shift
  CHAIN=shift
  /sbin/e-smith/db configuration setprop modSSL key $KEY crt $CRT CertificateChainFile $CHAIN
  /sbin/e-smith/signal-event ssl-update
elif [ "$ACTION" == "clean_challenge" ]; then
  ALTNAME=shift
  if [ "$ALTNAME" == "" ]; then
    echo "Error while creating or renewing letsencrypt certificate" | mail -s "Letsencrypt error" admin
  fi
fi
