%define version 0.0.1
%define release 0.beta6
%define name smeserver-letsencrypt-client

Summary: Letencrypt client for SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.4.0-26

%description
Automatically get certificates from letsencrypt
Using https://github.com/lukas2511/letsencrypt.sh

%changelog
* Fri Jan 22 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1.sme
- Initial release

%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/var/lib/letsencrypt
%{__mkdir_p} root/home/e-smith/db/letsencrypt
%{__mkdir_p} root/etc/letsencrypt.sh
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/lib/letsencrypt 'attr(0750,root,apache)' \
  --dir /home/e-smith/db/letsencrypt 'attr(0750,root,root)' \
  --dir /etc/letsencrypt.sh 'attr(0750,root,root)' \
  --file /usr/bin/le_hook.sh 'attr(0750,root,root)' \
  --file /usr/bin/letsencrypt.sh 'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

